Download it now!
Bug 104411 - Area tab: bitmap filling does not remember tiled style options
Summary: Area tab: bitmap filling does not remember tiled style options
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Area-Fill-Tab-Bitmap
  Show dependency treegraph
 
Reported: 2016-12-05 09:41 UTC by Jean-Baptiste Faure
Modified: 2018-06-10 18:57 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Baptiste Faure 2016-12-05 09:41:19 UTC
Steps to reproduce:
1/ in LO 5.3 beta1 open a new text document
2/ draw a new frame
3/ select the frame, right click and choose the entry Object in the contextual menu
4/ in the dialog, choose the area tab and click the Bitmap button
5/ choose Tiled in the Style dropdown list
6/ choose a bitmap in the left list
7/ note that all numerical parameters are set to 0
8/ click the OK button
9/ redo 3 and 4
10/ now both values for the size parameter are set to 176% (there is nothing explaining what does mean these percent) and the selected bitmap is the first again
11/ change this 176% to something else like 30% and select your preferred bitmap again.
12/ click the OK button
13/ redo 3 and 4
14/ same state as in 10/
15/ if you change tiling position and/or tiling offset, these values are reset to 0 each time you reopen he dialog.

Version: 5.3.0.0.beta1+
Build ID: 992b3c8644549218e6e2535eab7f8b239cf95a23
CPU Threads: 4; OS Version: Linux 4.4; UI Render: default; VCL: gtk3; Layout Engine: new; 
Ubuntu_16.04_x86-64
Locale: fr-FR (fr_FR.UTF-8); Calc: group

Best regards. JBF
Comment 1 Jacques Guilleron 2016-12-05 23:12:19 UTC
Hi Jean-baptiste,

Reproduced with:

LO  5.3.0.0.alpha1 Build ID: f4ca1573fcf445164c068c1046ab5d084e1b005f
Threads CPU : 2; Version de l'OS :Windows 6.1; UI Render : par défaut; 
Locale : fr-FR (fr_FR); Calc: CL
and:
LO 5.3.0.0.alpha0+ Build ID: 1f46cbf32a668e80f520d27093f56d6b61550852
CPU Threads: 2; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-08-30_00:41:48
Locale: fr-FR (fr_FR); Calc: CL

Under windows 7 Home.
Set Status to NEW.
Comment 2 Jean-Baptiste Faure 2016-12-23 16:11:26 UTC
I guess it is the same root cause: this dialog does not remember the bitmap nor the style. Each time you reopen the dialog for the same frame, it opens with the sky bitmap and the tiled style.

Best regards. JBF
Comment 3 Katarina Behrens (Inactive) 2018-04-08 13:03:46 UTC
Hello good people, 

so I've done some larger cleanup in bitmap tab and this issue might be fixed. Hard to link specific commit to specific issue, it could've been any or all of:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=b85691995e7b1a1aadf714c34e7fe6b9cd3206d8
https://cgit.freedesktop.org/libreoffice/core/commit/?id=177dbe968b5af1c548be9f52178daa528edc2aab
https://cgit.freedesktop.org/libreoffice/core/commit/?id=d2c8766a5e827e53f8f34893ff3d82a0df252f30
https://cgit.freedesktop.org/libreoffice/core/commit/?id=3a30799e377004f77ddcf5c1d6b62ca3e62c0905

So if you could please take a daily (no older than 9th of March 2018), re-test your issue and if fixed, close accordingly. If you happen to find additional issues (different from the orig one), please file a new bug and avoid bugfix creep. Thank you.
Comment 4 Jean-Baptiste Faure 2018-04-08 20:00:09 UTC
(In reply to Katarina Behrens (CIB) from comment #3)
> Hello good people, 
> 
> so I've done some larger cleanup in bitmap tab and this issue might be
> fixed. Hard to link specific commit to specific issue, it could've been any
> or all of:
> 
> https://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=b85691995e7b1a1aadf714c34e7fe6b9cd3206d8
> https://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=177dbe968b5af1c548be9f52178daa528edc2aab
> https://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=d2c8766a5e827e53f8f34893ff3d82a0df252f30
> https://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=3a30799e377004f77ddcf5c1d6b62ca3e62c0905
> 
> So if you could please take a daily (no older than 9th of March 2018),
> re-test your issue and if fixed, close accordingly. If you happen to find
> additional issues (different from the orig one), please file a new bug and
> avoid bugfix creep. Thank you.

Thank you very much Katarina, I do not reproduce the bug anymore with the master updated today with your commits. :-)

Closing as resolved-fixed.

Best regards. JBF